#pragma once

#include "ActionHandler.h"

class CMineSweeper: public CActionHandler
{
public:
    CMineSweeper(CGraphicOutput *pGO);
    ~CMineSweeper(void);

public:
    void cellOpen(int irow, int icol);
    void cellMark(int irow, int icol);
    void newGame(int width, int height, int mineCount);
    void initializeProgram();
    void exitProgram();
};
